Package org.sunflow.core.filter

## Class GaussianFilter

- java.lang.Object
- - org.sunflow.core.filter.GaussianFilter

- All Implemented Interfaces:
    `Filter`

      public class GaussianFilter
      extends java.lang.Object
      implements Filter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GaussianFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `get​(float x, float y)` | Get value of the filter at offset (x, y).
    `float` | `getSize()` | Width in pixels of the filter extents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GaussianFilter

          public GaussianFilter()

  - ### Method Detail

    - #### getSize

          public float getSize()

      Description copied from interface: `Filter`
      Width in pixels of the filter extents. The filter will be applied to the range of pixels within a box of `+/- getSize() / 2` around the center of the pixel.
      Specified by:
        `getSize` in interface `Filter`
      Returns:
        width in pixels

    - #### get

          public float get​(float x,
                           float y)

      Description copied from interface: `Filter`
      Get value of the filter at offset (x, y). The filter should never be called with values beyond its extents but should return 0 in those cases anyway.
      Specified by:
        `get` in interface `Filter`
      Parameters:
        `x` - x offset in pixels
        `y` - y offset in pixels
      Returns:
        value of the filter at the specified location